=== added file 'drizzled/internal/getrusage.h'
--- drizzled/internal/getrusage.h	1970-01-01 00:00:00 +0000
+++ drizzled/internal/getrusage.h	2010-09-23 03:33:27 +0000
@@ -0,0 +1,33 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+/* Only Linux defines getrusage's RUSAGE_THREAD */
+
+#ifndef DRIZZLED_INTERNAL_GETRUSAGE_H
+#define DRIZZLED_INTERNAL_GETRUSAGE_H
+
+#include <sys/time.h>
+#include <sys/resource.h>
+
+#ifndef RUSAGE_THREAD
+#define RUSAGE_THREAD RUSAGE_SELF
+#endif
+
+#endif /* DRIZZLED_INTERNAL_GETRUSAGE_H */

=== modified file 'drizzled/internal/include.am'
--- drizzled/internal/include.am	2010-08-07 22:01:28 +0000
+++ drizzled/internal/include.am	2010-09-23 03:33:27 +0000
@@ -19,6 +19,7 @@
 EXTRA_DIST+= drizzled/internal/CHARSET_INFO.txt
 noinst_HEADERS+= \
 		drizzled/internal/aio_result.h \
+		drizzled/internal/getrusage.h \
 		drizzled/internal/iocache.h \
 		drizzled/internal/m_string.h \
 		drizzled/internal/my_bit.h \

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2010-09-20 02:11:07 +0000
+++ drizzled/session.h	2010-09-23 03:33:27 +0000
@@ -46,8 +46,7 @@
 #include <bitset>
 #include <deque>
 
-#include <sys/time.h>
-#include <sys/resource.h>
+#include "drizzled/internal/getrusage.h"
 
 #include <drizzled/security_context.h>
 #include <drizzled/open_tables_state.h>

=== modified file 'plugin/performance_dictionary/query_usage.h'
--- plugin/performance_dictionary/query_usage.h	2010-09-20 02:11:07 +0000
+++ plugin/performance_dictionary/query_usage.h	2010-09-23 03:33:27 +0000
@@ -21,8 +21,7 @@
 #ifndef PLUGIN_PERFORMANCE_DICTIONARY_QUERY_USAGE_H
 #define PLUGIN_PERFORMANCE_DICTIONARY_QUERY_USAGE_H
 
-#include <sys/time.h>
-#include <sys/resource.h>
+#include "drizzled/internal/getrusage.h"
 
 #include "drizzled/session.h"
 

=== modified file 'plugin/performance_dictionary/session_usage.h'
--- plugin/performance_dictionary/session_usage.h	2010-09-20 02:11:07 +0000
+++ plugin/performance_dictionary/session_usage.h	2010-09-23 03:33:27 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef PLUGIN_PERFORMANCE_DICTIONARY_PERFORMANCES_H
-#define PLUGIN_PERFORMANCE_DICTIONARY_PERFORMANCES_H
+#ifndef PLUGIN_PERFORMANCE_DICTIONARY_SESSION_USAGE_H
+#define PLUGIN_PERFORMANCE_DICTIONARY_SESSION_USAGE_H
 
 namespace performance_dictionary {
 
@@ -50,4 +50,4 @@
 
 } /* namespace performance_dictionary */
 
-#endif /* PLUGIN_PERFORMANCE_DICTIONARY_PERFORMANCES_H */
+#endif /* PLUGIN_PERFORMANCE_DICTIONARY_SESSION_USAGE_H */

